### Property

# WPEWebKit Settings:enable-spatial-navigation

since: 2.4

#### Declaration

    property enable-spatial-navigation: gboolean [ read, write, construct ]

#### Description [src]

Whether to enable Spatial Navigation. This feature consists in the ability to navigate between focusable elements in a Web page, such as hyperlinks and form controls, by using Left, Right, Up and Down arrow keys. For example, if an user presses the Right key, heuristics determine whether there is an element they might be trying to reach towards the right, and if there are multiple elements, which element they probably wants.

Type:`gboolean`

Available since: 2.4

Default value | FALSE
Getter method | `webkit_settings_get_enable_spatial_navigation()`
Setter method | `webkit_settings_set_enable_spatial_navigation()`

#### Flags

Readable | yes
Writable | yes
Construct | yes
Construct only | no